Package org.apache.sling.testing.clients.osgi

# Class BundleInfo

java.lang.Object
org.apache.sling.testing.clients.osgi.BundleInfo

public class BundleInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`BundleInfo(com.fasterxml.jackson.databind.JsonNode root)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCategory()`
`int`
`getId()`
`String`
`getName()`
`Map<String,String>`
`getProperties()`
`String`
`getProperty(String key)`
Returns the value of a specific key in the bundle
`Bundle.Status`
`getStatus()`
`String`
`getSymbolicName()`
`String`
`getVersion()`
`boolean`
`isFragment()`
Returns the indicator if the bundle is a fragment

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleInfo

public BundleInfo(com.fasterxml.jackson.databind.JsonNode root) throws TestingValidationException

Throws:
  `TestingValidationException`

## Method Details

### getId

public int getId()

Returns:
  the bundle identifier

### getName

public String getName()

Returns:
  the bundle name

### getVersion

public String getVersion()

Returns:
  the bundle version

### isFragment

public boolean isFragment()
Returns the indicator if the bundle is a fragment

Returns:
  `true` if bundle is a fragment, `false` otherwise.

### getStatus

public Bundle.Status getStatus()

Returns:
  the bundle current state

### getSymbolicName

public String getSymbolicName()

Returns:
  the bundle symbolic name

### getCategory

public String getCategory()

Returns:
  the category of the bundle

### getProperty

public String getProperty(String key)
Returns the value of a specific key in the bundle

Parameters:
  `key` - the property to search
Returns:
  a specific bundle property

### getProperties

public Map<String,String> getProperties()

Returns:
  the bundle properties in a `Map`